
# =========================================================================== #
#                        _ __    __        _                       __                  
#      ____ _____  _____(_) /_  / /__     (_)___ _   _____  ____  / /_____  _______  __
#     / __ `/ __ \/ ___/ / __ \/ / _ \   / / __ \ | / / _ \/ __ \/ __/ __ \/ ___/ / / /
#    / /_/ / / / (__  ) / /_/ / /  __/  / / / / / |/ /  __/ / / / /_/ /_/ / /  / /_/ / 
#    \__,_/_/ /_/____/_/_.___/_/\___/  /_/_/ /_/|___/\___/_/ /_/\__/\____/_/   \__, /  
#                                                                             /____/   
#
# =========================================================================== #


# =========================================================================== #
# CLIENT GROUPS
# =========================================================================== #
[clients]
{% for client in clients %}
{{ client.name }}
{% endfor %}

# =========================================================================== #
# SERVER GROUPS
# =========================================================================== #

[local]
localhost

[servers]
{% for server in servers %}
{{ server.name }}
{% endfor %}

[openbsd]
{% for server in servers %}
{% if server.os is defined and server.os == "openbsd" %}
{{ server.name }}
{% endif %}
{% endfor %}

[centos]
{% for server in servers %}
{% if server.os is defined and server.os == "centos" %}
{{ server.name }}
{% endif %}
{% endfor %}

[debian]
{% for server in servers %}
{% if server.os is defined and server.os == "debian" %}
{{ server.name }}
{% endif %}
{% endfor %}

# =========================================================================== #
# SERVER VARIABLES
# =========================================================================== #

[servers:vars]
package_curl="curl"
package_neovim="neovim"
package_tmux="tmux"
package_wget="wget"
package_zsh="zsh"

[openbsd:vars]
group_root="wheel"
path_zsh_bin="/usr/local/bin/zsh"

[centos:vars]
group_root="root"
path_zsh_bin="/bin/zsh"

[debian:vars]
group_root="root"
